apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: nfs-storage-class
  annotations:
    storageclass.kubernetes.io/is-default-class: "false"
allowVolumeExpansion: true
provisioner: k8s-sigs.io/nfs-subdir-external-provisioner
reclaimPolicy: Delete
volumeBindingMode: Immediate
parameters:
  pathPattern: "${.PVC.namespace}/${.PVC.name}"
  onDelete: delete